Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Class ReportPage

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.ReportPage

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

public class ReportPage
extends AbstractTestElement
implements Serializable

ReportPage

See Also:
  Serialized Form

Field Summary
`static String` | `REPORT_PAGE_CSS`
`static String` | `REPORT_PAGE_FOOTER`
`static String` | `REPORT_PAGE_HEADER`
`static String` | `REPORT_PAGE_INDEX`
`static String` | `REPORT_PAGE_INTRO`
`static String` | `REPORT_PAGE_TITLE`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ReportPage()` No-arg constructor.

Method Summary
`static ReportPage` | `createReportPage(String name)`
`String` | `getCSS()`
`String` | `getFooterURL()`
`String` | `getHeaderURL()`
`boolean` | `getIndex()`
`String` | `getIntroduction()`
`String` | `getTitle()`
`void` | `setCSS(String css)`
`void` | `setFooterURL(String url)`
`void` | `setHeaderURL(String url)`
`void` | `setIndex(String makeIndex)`
`void` | `setIntroduction(String intro)`
`void` | `setTitle(String title)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT_PAGE_TITLE

    public static final String REPORT_PAGE_TITLE

See Also:
  Constant Field Values

### REPORT_PAGE_INDEX

    public static final String REPORT_PAGE_INDEX

See Also:
  Constant Field Values

### REPORT_PAGE_CSS

    public static final String REPORT_PAGE_CSS

See Also:
  Constant Field Values

### REPORT_PAGE_HEADER

    public static final String REPORT_PAGE_HEADER

See Also:
  Constant Field Values

### REPORT_PAGE_FOOTER

    public static final String REPORT_PAGE_FOOTER

See Also:
  Constant Field Values

### REPORT_PAGE_INTRO

    public static final String REPORT_PAGE_INTRO

See Also:
  Constant Field Values

Constructor Detail

### ReportPage

    public ReportPage()

  No-arg constructor.

Method Detail

### createReportPage

    public static ReportPage createReportPage(String name)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getIndex

    public boolean getIndex()

### setIndex

    public void setIndex(String makeIndex)

### getCSS

    public String getCSS()

### setCSS

    public void setCSS(String css)

### getHeaderURL

    public String getHeaderURL()

### setHeaderURL

    public void setHeaderURL(String url)

### getFooterURL

    public String getFooterURL()

### setFooterURL

    public void setFooterURL(String url)

### getIntroduction

    public String getIntroduction()

### setIntroduction

    public void setIntroduction(String intro)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.